$Swipe={}
$Swipe.Lr=function(id,tagg,fun)
{
    var dom_=$Scroll.getRect(id);
    var domWidth=dom_.right-dom_.left;
    var domCount=$M.find(id).childElementCount
    var tag=true;
    var bindAll=domCount*domWidth;
    var bind=domWidth*0.2
    var bindT;//当前在那一页
	$M.find(id).listener
	(
		'touchstart,touchmove,touchend',function(ev,dom)
		{
			switch (ev.type) 
			{
                case 'touchstart':
                    bindT=Math.floor(domCount-(bindAll/(dom.scrollLeft+domWidth)));//当前在那一页
					tag=true;
                    dom.start_=ev.touches[0].clientX;
                    dom.startX_=dom.scrollLeft;
                    $M.stop(ev);
				break;
				case 'touchmove':
					dom.start_next_=ev.touches[0].clientX;
					requestAnimationFrame
					(
						function()
						{
							if(tag)
							{
								dom.scrollLeft+=(dom.start_-dom.start_next_); 
							}                                  
							dom.start_=dom.start_next_;
						}
                    )
                    $M.stop(ev);
				break;
                case 'touchend':
					requestAnimationFrame
					(
						function()
						{
                            tag=false;
                            var wy=dom.scrollLeft-dom.startX_;         
                            if(wy>0)
                            {
                                if(wy>bind)
                                {
                                    dom.scrollLeft=(bindT+1)*domWidth;
                                    bindT+=1;
                                }
                                else
                                {
                                    dom.scrollLeft=(bindT)*domWidth;
								}
								if(fun instanceof Function)
								{
									fun(bindT)
								}
                            }
                            else if(wy==0)
                            {
								if(tagg)
								{
									if((dom.startX_-dom.start_)>0)
									{
										dom.scrollLeft=0;
										if(fun instanceof Function)
										{
											fun(0)
										}
									}
									else
									{
										if(fun instanceof Function)
										dom.scrollLeft=domCount*domWidth;
										{
											fun(domCount-1)
										}
									}
								}
                            }
                            else
                            {
                                if(Math.abs(wy)>bind)
                                {
                                    dom.scrollLeft=(bindT-1)*domWidth;
                                    bindT-=1;
                                }
                                else
                                {
                                    dom.scrollLeft=(bindT)*domWidth;
								}
								if(fun instanceof Function)
								{
									fun(bindT)
								}
							}
						}
                    )
                    $M.stop(ev);
				break;
			}
		}            
	)
}